### Method

# Ide DebugManager find_debugger

#### Declaration

    IdeDebugger*
    ide_debug_manager_find_debugger (
      IdeDebugManager* self,
      IdeRunner* runner
    )

#### Description

Locates a debugger for the given runner, or `NULL` if no debugger supports the runner.

Available since: | 3.32

#### Parameters

`runner` | `IdeRunner`
| An `IdeRunner`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDebugger`
| An `IdeDebugger` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.